<div class="common-profile-header">{{'labelNotificationPreference' | translate: lang}}</div>
<div class="container">
  <div class="row mt-3 mb-3">
    <div class="col-md-6">
      <form [formGroup]="notificationForm">
        <div class="mt-3 mb-3">
          <label  class="label-text">{{'labelNewsletter' | translate: lang}} : </label>
          <div>
            <mat-radio-group formControlName="newsletterSubscription">
              <mat-radio-button [value]="0"><span class="label-text">{{'labelYes' | translate: lang}}</span></mat-radio-button>
              <mat-radio-button [value]="1"><span class="label-text">{{'labelNo' | translate: lang}}</span></mat-radio-button>
            </mat-radio-group>
          </div>
        </div>
        <div class="mt-3 mb-3">
          <label class="label-text">{{'labelMarketing' | translate: lang}} : </label>
          <div>
            <mat-radio-group formControlName="marketingUpdate">
              <mat-radio-button [value]="0"><span class="label-text">{{'labelYes' | translate: lang}}</span></mat-radio-button>
              <mat-radio-button [value]="1"><span class="label-text">{{'labelNo' | translate: lang}}</span></mat-radio-button>
            </mat-radio-group>
          </div>
        </div>
        <button mat-raised-button color="primary" [disabled]="!notificationForm.valid" (click)="onSubmit()">{{'buttonSubmit' | translate: lang}}</button>
      </form>
    </div>
  </div>
</div>
